org.apache.flume.channel.file.proto

## Interface ProtosFactory.CheckpointOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    ProtosFactory.Checkpoint, ProtosFactory.Checkpoint.Builder
  Enclosing class:
    ProtosFactory

      public static interface ProtosFactory.CheckpointOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProtosFactory.ActiveLog` | `getActiveLogs(int index)` `repeated .ActiveLog activeLogs = 5;`
    `int` | `getActiveLogsCount()` `repeated .ActiveLog activeLogs = 5;`
    `List<ProtosFactory.ActiveLog>` | `getActiveLogsList()` `repeated .ActiveLog activeLogs = 5;`
    `ProtosFactory.ActiveLogOrBuilder` | `getActiveLogsOrBuilder(int index)` `repeated .ActiveLog activeLogs = 5;`
    `List<? extends ProtosFactory.ActiveLogOrBuilder>` | `getActiveLogsOrBuilderList()` `repeated .ActiveLog activeLogs = 5;`
    `int` | `getQueueHead()` `required sfixed32 queueHead = 4;`
    `int` | `getQueueSize()` `required sfixed32 queueSize = 3;`
    `int` | `getVersion()` `required sfixed32 version = 1;`
    `long` | `getWriteOrderID()` `required sfixed64 writeOrderID = 2;`
    `boolean` | `hasQueueHead()` `required sfixed32 queueHead = 4;`
    `boolean` | `hasQueueSize()` `required sfixed32 queueSize = 3;`
    `boolean` | `hasVersion()` `required sfixed32 version = 1;`
    `boolean` | `hasWriteOrderID()` `required sfixed64 writeOrderID = 2;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasVersion

          boolean hasVersion()

      `required sfixed32 version = 1;`

    - #### getVersion

          int getVersion()

      `required sfixed32 version = 1;`

    - #### hasWriteOrderID

          boolean hasWriteOrderID()

      `required sfixed64 writeOrderID = 2;`

    - #### getWriteOrderID

          long getWriteOrderID()

      `required sfixed64 writeOrderID = 2;`

    - #### hasQueueSize

          boolean hasQueueSize()

      `required sfixed32 queueSize = 3;`

    - #### getQueueSize

          int getQueueSize()

      `required sfixed32 queueSize = 3;`

    - #### hasQueueHead

          boolean hasQueueHead()

      `required sfixed32 queueHead = 4;`

    - #### getQueueHead

          int getQueueHead()

      `required sfixed32 queueHead = 4;`

    - #### getActiveLogsList

          List<ProtosFactory.ActiveLog> getActiveLogsList()

      `repeated .ActiveLog activeLogs = 5;`

    - #### getActiveLogs

          ProtosFactory.ActiveLog getActiveLogs(int index)

      `repeated .ActiveLog activeLogs = 5;`

    - #### getActiveLogsCount

          int getActiveLogsCount()

      `repeated .ActiveLog activeLogs = 5;`

    - #### getActiveLogsOrBuilderList

          List<? extends ProtosFactory.ActiveLogOrBuilder> getActiveLogsOrBuilderList()

      `repeated .ActiveLog activeLogs = 5;`

    - #### getActiveLogsOrBuilder

          ProtosFactory.ActiveLogOrBuilder getActiveLogsOrBuilder(int index)

      `repeated .ActiveLog activeLogs = 5;`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.